Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599039 - Update command return non-zero exit status although the update was successful [NEEDINFO]
Summary: Update command return non-zero exit status although the update was successful
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 13.0 (Queens)
Assignee: David Peacock
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-08 07:05 UTC by Udi
Modified: 2019-03-25 16:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-25 16:28:38 UTC
Target Upstream Version:
aschultz: needinfo? (ukalifon)


Attachments (Terms of Use)

Description Udi 2018-07-08 07:05:42 UTC
Description of problem:
I updated the stack (added another compute) with the command: openstack overcloud plan deploy overcloud. The command returned an exit status of 1, apparently because of a failed restart of haproxy, although everything seems to be working.

This is a GUI deployment of the default plan: 1 controller + 1 compute with no SSL or network isolation or any other configuration. After deployment, I incremented the compute counter to 3 and ran the update command from the CLI.

The output from the plan deploy command:
Message from syslogd@undercloud-0 at Jul  8 02:09:19 ...
 haproxy[24238]:proxy heat_api has no server available!
ERROR: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>500 Internal Server Error</title>
</head><body>
<h1>Internal Server Error</h1>
<p>The server encountered an internal error or
misconfiguration and was unable to complete
your request.</p>
<p>Please contact the server administrator at
 [no address given] to inform them of the time this error occurred,
 and the actions you performed just before this error.</p>
<p>More information about this error may be available
in the server error log.</p>
</body></html>

(undercloud) [stack@undercloud-0 ~]$
Broadcast message from systemd-journald@undercloud-0.redhat.local (Sun 2018-07-08 02:15:52 EDT):

haproxy[24238]: proxy heat_api has no server available!


Message from syslogd@undercloud-0 at Jul  8 02:15:52 ...
 haproxy[24238]:proxy heat_api has no server available!

(undercloud) [stack@undercloud-0 ~]$ echo $?
1


Version-Release number of selected component (if applicable):
openstack-tripleo-ui-8.3.1-3.el7ost.noarch
openstack-tripleo-heat-templates-8.0.2-38.el7ost.noarch
openstack-tripleo-common-8.6.1-20.el7ost.noarch


How reproducible:
unknown


Steps to Reproduce:
1. Deploy a default plan from the GUI
2. After deployment, increment the computes counter from the GUI and save changes
3. Update the overcloud from the CLI: openstack overcloud plan deploy overcloud


Actual results:
Command returns an exit status 1, although it seems like everything is OK and the stack status is UPDATE_COMPLETE.

Comment 3 Jose Luis Franco 2018-07-23 13:28:41 UTC
Emilien, I reassigned it to DFG:DF as Udi managed to recreate it. If you identify that the root cause is Upgrades related please feel free to give it back to us. Thank you.

Comment 8 Alex Schultz 2019-03-25 16:28:38 UTC
We need logs from the reproducer.  Given the described way to reproduce this being 3 stack updates via the UI and then heat api becomes unavailable, it seems that it might be related to some memory constraints or something.  If reproduced, please provide a sosreport.  Closing for now due to lack of information.


Note You need to log in before you can comment on or make changes to this bug.